Bug 1029785 - wifi connection randomly stops with Wireless-N 2230
wifi connection randomly stops with Wireless-N 2230
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: fedora-kernel-wireless-iwl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 03:32 EST by Téo M.
Modified: 2014-10-20 07:39 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-20 07:39:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of dmesg, truncated to the relevant part (2.55 KB, text/plain)
2014-06-14 13:18 EDT, Téo M.
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 56581 None None None Never

  None (edit)
Description Téo M. 2013-11-13 03:32:31 EST
Description of problem:

I installed today Fedora 20, and the wifi connection fails randomly (every some minutes). It appears that applications (e.g. Firefox) are hanging while loading something, then they fail and GNOME pop-up an error message telling that no wifi connections are available. Disabling/Re-enabling the wifi solves the issue until the next fail...

I recall it already appeared on Fedora 19, but it was waaay less frequent.

System:
- lspci: 08:00.0 Network controller: Intel Corporation Centrino Wireless-N 2230 (rev c4)
- kernel: 3.11.7-300.fc20.x86_64

dmesg after a wifi break:

[ 6153.422128] iwlwifi 0000:08:00.0: fail to flush all tx fifo queues Q 0
[ 6153.422136] iwlwifi 0000:08:00.0: Current SW read_ptr 12 write_ptr 13
[ 6153.422184] iwl data: 00000000: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 6153.422198] iwlwifi 0000:08:00.0: FH TRBs(0) = 0x00000000
[ 6153.422212] iwlwifi 0000:08:00.0: FH TRBs(1) = 0xc010b0cc
[ 6153.422226] iwlwifi 0000:08:00.0: FH TRBs(2) = 0x00000000
[ 6153.422239] iwlwifi 0000:08:00.0: FH TRBs(3) = 0x8030000b
[ 6153.422253] iwlwifi 0000:08:00.0: FH TRBs(4) = 0x00000000
[ 6153.422266] iwlwifi 0000:08:00.0: FH TRBs(5) = 0x00000000
[ 6153.422280] iwlwifi 0000:08:00.0: FH TRBs(6) = 0x00000000
[ 6153.422293] iwlwifi 0000:08:00.0: FH TRBs(7) = 0x00709010
[ 6153.422349] iwlwifi 0000:08:00.0: Q 0 is active and mapped to fifo 3 ra_tid 0x0000 [12,13]
[ 6153.422406] iwlwifi 0000:08:00.0: Q 1 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[ 6153.422460] iwlwifi 0000:08:00.0: Q 2 is active and mapped to fifo 1 ra_tid 0x0000 [161,161]
[ 6153.422516] iwlwifi 0000:08:00.0: Q 3 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6153.422571] iwlwifi 0000:08:00.0: Q 4 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6153.422627] iwlwifi 0000:08:00.0: Q 5 is active and mapped to fifo 4 ra_tid 0x0000 [0,0]
[ 6153.422682] iwlwifi 0000:08:00.0: Q 6 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[ 6153.422737] iwlwifi 0000:08:00.0: Q 7 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[ 6153.422793] iwlwifi 0000:08:00.0: Q 8 is active and mapped to fifo 4 ra_tid 0x0000 [0,0]
[ 6153.422848] iwlwifi 0000:08:00.0: Q 9 is active and mapped to fifo 7 ra_tid 0x0000 [17,18]
[ 6153.422903] iwlwifi 0000:08:00.0: Q 10 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[ 6153.422958] iwlwifi 0000:08:00.0: Q 11 is active and mapped to fifo 1 ra_tid 0x0000 [205,206]
[ 6153.423014] iwlwifi 0000:08:00.0: Q 12 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6153.423069] iwlwifi 0000:08:00.0: Q 13 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6153.423158] iwlwifi 0000:08:00.0: Q 14 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6153.423245] iwlwifi 0000:08:00.0: Q 15 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6153.423330] iwlwifi 0000:08:00.0: Q 16 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6153.423415] iwlwifi 0000:08:00.0: Q 17 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6153.423502] iwlwifi 0000:08:00.0: Q 18 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6153.423557] iwlwifi 0000:08:00.0: Q 19 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6155.424250] iwlwifi 0000:08:00.0: Error sending REPLY_TXFIFO_FLUSH: time out after 2000ms.
[ 6155.424256] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 21
[ 6155.424259] iwlwifi 0000:08:00.0: Couldn't flush the AGG queue
[ 6157.425264] iwlwifi 0000:08:00.0: Error sending REPLY_ADD_STA: time out after 2000ms.
[ 6157.425268] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 22
[ 6157.425273] wlp8s0: HW problem - can not stop rx aggregation for 5a:6c:16:f8:80:58 tid 0
[ 6159.426356] iwlwifi 0000:08:00.0: Error sending REPLY_ADD_STA: time out after 2000ms.
[ 6159.426361] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 25
[ 6159.426374] wlp8s0: failed to remove key (0, 5a:6c:16:f8:80:58) from hardware (-110)
[ 6161.427524] iwlwifi 0000:08:00.0: Error sending REPLY_QOS_PARAM: time out after 2000ms.
[ 6161.427529] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 26
[ 6161.427531] iwlwifi 0000:08:00.0: Failed to update QoS
[ 6163.428552] iwlwifi 0000:08:00.0: Error sending REPLY_RXON: time out after 2000ms.
[ 6163.428557] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 27
[ 6163.428560] iwlwifi 0000:08:00.0: Error clearing ASSOC_MSK on BSS (-110)
[ 6165.429645] iwlwifi 0000:08:00.0: Error sending REPLY_RXON: time out after 2000ms.
[ 6165.429651] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 28
[ 6165.429654] iwlwifi 0000:08:00.0: Error clearing ASSOC_MSK on BSS (-110)
[ 6167.430763] iwlwifi 0000:08:00.0: Error sending REPLY_RXON: time out after 2000ms.
[ 6167.430769] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 29
[ 6167.430772] iwlwifi 0000:08:00.0: Error clearing ASSOC_MSK on BSS (-110)
[ 6169.433786] iwlwifi 0000:08:00.0: fail to flush all tx fifo queues Q 0
[ 6169.433792] iwlwifi 0000:08:00.0: Current SW read_ptr 12 write_ptr 13
[ 6169.433840] iwl data: 00000000: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
[ 6169.433854] iwlwifi 0000:08:00.0: FH TRBs(0) = 0x00000000
[ 6169.433868] iwlwifi 0000:08:00.0: FH TRBs(1) = 0xc010b0cc
[ 6169.433881] iwlwifi 0000:08:00.0: FH TRBs(2) = 0x00000000
[ 6169.433895] iwlwifi 0000:08:00.0: FH TRBs(3) = 0x8030000b
[ 6169.433909] iwlwifi 0000:08:00.0: FH TRBs(4) = 0x00000000
[ 6169.433922] iwlwifi 0000:08:00.0: FH TRBs(5) = 0x00000000
[ 6169.433936] iwlwifi 0000:08:00.0: FH TRBs(6) = 0x00000000
[ 6169.433949] iwlwifi 0000:08:00.0: FH TRBs(7) = 0x00709010
[ 6169.434005] iwlwifi 0000:08:00.0: Q 0 is active and mapped to fifo 3 ra_tid 0x0000 [12,13]
[ 6169.434060] iwlwifi 0000:08:00.0: Q 1 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[ 6169.434191] iwlwifi 0000:08:00.0: Q 2 is active and mapped to fifo 1 ra_tid 0x0000 [161,161]
[ 6169.434283] iwlwifi 0000:08:00.0: Q 3 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6169.434378] iwlwifi 0000:08:00.0: Q 4 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6169.434460] iwlwifi 0000:08:00.0: Q 5 is active and mapped to fifo 4 ra_tid 0x0000 [0,0]
[ 6169.434517] iwlwifi 0000:08:00.0: Q 6 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[ 6169.434574] iwlwifi 0000:08:00.0: Q 7 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[ 6169.434630] iwlwifi 0000:08:00.0: Q 8 is active and mapped to fifo 4 ra_tid 0x0000 [0,0]
[ 6169.434687] iwlwifi 0000:08:00.0: Q 9 is active and mapped to fifo 7 ra_tid 0x0000 [17,29]
[ 6169.434744] iwlwifi 0000:08:00.0: Q 10 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[ 6169.434876] iwlwifi 0000:08:00.0: Q 11 is active and mapped to fifo 1 ra_tid 0x0000 [205,206]
[ 6169.434932] iwlwifi 0000:08:00.0: Q 12 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6169.434989] iwlwifi 0000:08:00.0: Q 13 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6169.435045] iwlwifi 0000:08:00.0: Q 14 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6169.435101] iwlwifi 0000:08:00.0: Q 15 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6169.435156] iwlwifi 0000:08:00.0: Q 16 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6169.435213] iwlwifi 0000:08:00.0: Q 17 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6169.435269] iwlwifi 0000:08:00.0: Q 18 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6169.435324] iwlwifi 0000:08:00.0: Q 19 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 6171.435867] iwlwifi 0000:08:00.0: Error sending POWER_TABLE_CMD: time out after 2000ms.
[ 6171.435871] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 30
[ 6171.435874] iwlwifi 0000:08:00.0: set power fail, ret = -110
[ 6173.437039] iwlwifi 0000:08:00.0: Error sending REPLY_RXON: time out after 2000ms.
[ 6173.437044] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 31
[ 6173.437046] iwlwifi 0000:08:00.0: Error clearing ASSOC_MSK on BSS (-110)
[ 6175.438123] iwlwifi 0000:08:00.0: Error sending REPLY_ADD_STA: time out after 2000ms.
[ 6175.438128] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 34
[ 6175.438136] wlp8s0: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-110)
[ 6177.439170] iwlwifi 0000:08:00.0: Error sending REPLY_SCAN_CMD: time out after 2000ms.
[ 6177.439175] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 36
[ 6177.439254] cfg80211: Calling CRDA to update world regulatory domain
[ 6177.446014] cfg80211: World regulatory domain updated:
[ 6177.446018] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 6177.446019] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 6177.446020] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 6177.446022] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 6177.446023] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 6177.446024] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 6180.441862] iwlwifi 0000:08:00.0: Error sending REPLY_SCAN_CMD: time out after 2000ms.
[ 6180.441868] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 39
[ 6183.444471] iwlwifi 0000:08:00.0: Error sending REPLY_SCAN_CMD: time out after 2000ms.
[ 6183.444476] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 40
[ 6186.447127] iwlwifi 0000:08:00.0: Error sending REPLY_SCAN_CMD: time out after 2000ms.
[ 6186.447132] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 42
[ 6189.449732] iwlwifi 0000:08:00.0: Error sending REPLY_SCAN_CMD: time out after 2000ms.
[ 6189.449737] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 44
[ 6192.452279] iwlwifi 0000:08:00.0: Error sending REPLY_SCAN_CMD: time out after 2000ms.
[ 6192.452285] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 45
[ 6194.643565] iwlwifi 0000:08:00.0: Error sending REPLY_SCAN_CMD: time out after 2000ms.
[ 6194.643569] iwlwifi 0000:08:00.0: Current CMD queue read_ptr 17 write_ptr 46
[ 6194.818376] iwlwifi 0000:08:00.0: No space in command queue
[ 6194.818383] iwlwifi 0000:08:00.0: Restarting adapter queue is full
[ 6194.818387] iwlwifi 0000:08:00.0: Error sending SENSITIVITY_CMD: enqueue_hcmd failed: -28
[ 6194.818881] ieee80211 phy0: Hardware restart was requested
[ 6194.818948] iwlwifi 0000:08:00.0: L1 Enabled; Disabling L0S
[ 6194.826492] iwlwifi 0000:08:00.0: Radio type=0x2-0x0-0x0
Comment 1 Piruthiviraj Natarajan 2014-01-05 11:46:53 EST
I am having this issue on mine too for some time. It happens in ArchLinux, Debian SID too. Started somewhere around 3.10 kernels I guess.

my card is 
02:00.0 Network controller: Intel Corporation Centrino Wireless-N 2200 (rev c4)

I am running rawhide kernel 3.13rc6.
Comment 2 Emmanuel Grumbach 2014-02-04 13:14:04 EST
I have to admit we have a bad issue with Tx aggregation with these devices.
Can you please try to add disable_11n=2 as a module parameter?

Thanks.
Comment 3 Adrien D 2014-02-10 16:53:28 EST
Hi,

I try to add disable_11n=2 as a module parameter, 'cos I have the same problem.

I say you in few days the outcome of the test
Comment 4 Adrien D 2014-02-11 06:19:20 EST
It seems to be OK for me :

$ cat /etc/modprobe.d/iwlwifi.conf 
options iwlwifi 11n_disable=2
Comment 5 Justin M. Forbes 2014-02-24 08:54:55 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 6 akerfonta 2014-02-26 11:54:23 EST
I updated to 3.13.4-200.fc20 and still have the same issue.
Comment 7 Téo M. 2014-02-26 14:20:34 EST
I also still encounter the issue. But it's getting rarer it seems, it did not happen since more than one month I think, but it just did a few minutes ago. I am a bit puzzled...

Thus I am not sure how I will see if 11n_disable=2 fix anything.

For the record, I am on 3.13.4-200.fc20.x86_64
Comment 8 Téo M. 2014-02-26 16:22:33 EST
Actually, it appears that the bug was constantly hitting me during the past hour. So I was able to make some tests and I can confirm that 11n_disable=2 seems to solve the issue.
Comment 9 akerfonta 2014-03-01 19:41:59 EST
Kernel just updated and the problem is still there.
Comment 10 akerfonta 2014-03-01 20:06:55 EST
When I boot kernel 3.12.10-300.fc20.x68_64 the problem seems to go away.

My wifi is Intel Corporation Wireless 7260 (rev 6b).  Everything worked fine until the kernel updated past 3.12.10-300.
Comment 11 Emmanuel Grumbach 2014-03-19 07:50:53 EDT
This will be worked around in 3.14-rc6 I think.

I sent the patch that disables TX AMPDU to stable.
Comment 12 Emmanuel Grumbach 2014-03-19 07:51:33 EDT
(In reply to akerfonta from comment #10)
> When I boot kernel 3.12.10-300.fc20.x68_64 the problem seems to go away.
> 
> My wifi is Intel Corporation Wireless 7260 (rev 6b).  Everything worked fine
> until the kernel updated past 3.12.10-300.

So this bug isn't related to you at all.
You run a totally different code.
Comment 13 Emmanuel Grumbach 2014-03-19 07:51:42 EDT
(In reply to akerfonta from comment #10)
> When I boot kernel 3.12.10-300.fc20.x68_64 the problem seems to go away.
> 
> My wifi is Intel Corporation Wireless 7260 (rev 6b).  Everything worked fine
> until the kernel updated past 3.12.10-300.

So this bug isn't related to you at all.
You run a totally different code.
Comment 14 Justin M. Forbes 2014-05-21 15:38:35 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 15 Téo M. 2014-06-14 13:18:38 EDT
Created attachment 908815 [details]
output of dmesg, truncated to the relevant part

The bug is still not fixed in kernel 3.14.7-200.fc20.x86_64. I was just hit a few minutes ago.
Comment 16 Sammy 2014-06-25 08:37:57 EDT
The same problem on Thinkpad 440s with intel 7260 using 3.14.8 and latest
linux firmware. Very annoying but a google search seems to indicate that
this happened even under windows. It would be nice if this can be fixed
somehow.
Comment 17 Emmanuel Grumbach 2014-10-20 02:33:19 EDT
Fixed in the kernel bugzilla. Fix will be pushed upstream soon.
Removing Intel from this bug - please re-add Intel if you think we have more to do.

Note You need to log in before you can comment on or make changes to this bug.